package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayMaterial;
import com.ruoyi.pay.domain.vo.PayMaterialVo;
import com.ruoyi.pay.domain.bo.PayMaterialBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 毛料信息Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayMaterialService {

    /**
     * 查询毛料信息
     */
    PayMaterialVo queryById(Long id);

    /**
     * 查询毛料信息列表
     */
    TableDataInfo<PayMaterialVo> queryPageList(PayMaterialBo bo, PageQuery pageQuery);

    /**
     * 查询毛料信息列表
     */
    List<PayMaterialVo> queryList(PayMaterialBo bo);

    /**
     * 新增毛料信息
     */
    Boolean insertByBo(PayMaterialBo bo);

    /**
     * 修改毛料信息
     */
    Boolean updateByBo(PayMaterialBo bo);

    /**
     * 校验并批量删除毛料信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
